﻿
Partial Class concurrency
    Inherits System.Web.UI.Page

    Protected Sub cmdGetConcurrencyInfo_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles cmdGetConcurrencyInfo.Click
        Dim m As New dlsextmanagement()
        Try
            If txtKey.Text = "" Then
                lblKeyError.Text = "Invalid key"
                Exit Sub
            End If
            Dim server As String = Nothing, count As Integer
            If Not m.GetConcurrencyInfo(txtKey.Text, server, count) Then
                lblKeyError.Text = "No concurrency info"
            Else
                txtServer.Text = server
                txtCount.Text = count.ToString
            End If
        Finally
            m.Dispose()
        End Try

    End Sub

    Protected Sub cmdSetConcurrencyInfo_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles cmdSetConcurrencyInfo.Click
        Dim m As New dlsextmanagement()
        Try
            If txtKey.Text = "" Then
                lblKeyError.Text = "Invalid key"
                Exit Sub
            End If
            m.SetConcurrencyInfo(txtKey.Text, txtServer.Text, CInt(txtCount.Text))
        Finally
            m.Dispose()
        End Try

    End Sub

    Protected Sub Button1_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles Button1.Click
        Response.Redirect("dlsextdefault.aspx")
    End Sub
End Class
